View Issue Details

IDProjectCategoryView StatusLast Update
0001513Industrial-Craft²tools / electric itemspublic2017-06-19 09:45
ReporterPaul17041993Assigned ToAroma1997 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionBuilds for MC 1.7.10 
Target VersionFixed in VersionBuilds for MC 1.7.10 
Summary0001513: CF Backpack doesn't drain and is exploitable
DescriptionThe CF Backpack, when filled and used to the point it gets to about 800mB or less, when used via the CF sprayer on more blocks than the backpack has CF for, the client will be kicked with a 'internal server error' but on return will find that it sprayed correctly but has not drained either the backpack or sprayer, essentially duplicating CF.
Additional Informationoccurs on SMP
TagsNo tags attached.
Minecraft Version

Activities

Paul17041993

2015-01-16 04:18

reporter   ~0003669

oh the backpack works correctly when the CF sprayer is empty, but if the CF sprayer has any amount in it the bug occurs.

HunterzCZ

2015-05-09 08:06

reporter   ~0003862

Last edited: 2015-05-09 08:53

View 3 revisions

I have same issue with build 713:

[09:03:28] [Server thread/WARN]: Failed to handle packet for /22.96.16.28:60021
java.lang.NullPointerException
        at ic2.core.item.tool.ItemSprayer.func_77648_a(ItemSprayer.java:159) ~[ItemSprayer.class:?]
        at net.minecraftforge.common.ForgeHooks.onPlaceItemIntoWorld(ForgeHooks.java:534) ~[ForgeHooks.class:git-Cauldron-MCPC-Plus-1.7.10-1.1307.06.220]
        at net.minecraft.item.ItemStack.func_77943_a(ItemStack.java:149) ~[add.class:?]
        at net.minecraft.server.management.ItemInWorldManager.func_73078_a(ItemInWorldManager.java:497) ~[mx.class:?]
        at net.minecraft.network.NetHandlerPlayServer.func_147346_a(NetHandlerPlayServer.java:875) ~[nh.class:?]
        at net.minecraft.network.play.client.C08PacketPlayerBlockPlacement.func_148833_a(SourceFile:60) ~[jo.class:?]
        at net.minecraft.network.play.client.C08PacketPlayerBlockPlacement.func_148833_a(SourceFile:9) ~[jo.class:?]
        at net.minecraft.network.NetworkManager.func_74428_b(NetworkManager.java:244) ~[ej.class:?]
        at net.minecraft.network.NetworkSystem.func_151269_c(NetworkSystem.java:173) [nc.class:?]
        at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:980) [MinecraftServer.class:?]
        at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:423) [lt.class:?]
        at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:798) [MinecraftServer.class:?]
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:658) [MinecraftServer.class:?]
        at java.lang.Thread.run(Thread.java:745) [?:1.8.0_40]
[09:03:29] [Server thread/INFO]: petr_tucky lost connection: Internal server error

How to reproduce: Have CF backpack empty on back and use full cfsprayer by clicking to some block.

After this exception Are duplicated OC robots when moving...

Issue History

Date Modified Username Field Change
2015-01-16 03:41 Paul17041993 New Issue
2015-01-16 04:18 Paul17041993 Note Added: 0003669
2015-04-14 12:45 Aroma1997 Status new => feedback
2015-05-09 08:06 HunterzCZ Note Added: 0003862
2015-05-09 08:52 HunterzCZ Note Edited: 0003862 View Revisions
2015-05-09 08:53 HunterzCZ Note Edited: 0003862 View Revisions
2017-06-19 09:45 Aroma1997 Status feedback => resolved
2017-06-19 09:45 Aroma1997 Fixed in Version => Builds for MC 1.7.10
2017-06-19 09:45 Aroma1997 Resolution open => fixed
2017-06-19 09:45 Aroma1997 Assigned To => Aroma1997